:root {
  --color-primary-400: #d3266f;
  --color-primary-500: #ff7cb3;
  --color-base-50: #fafafa;
  --color-base-100: #f4f4f5;
  --color-base-300: #d4d4d8;
  --color-base-600: #52525b;
  --color-base-950: #000;
  --color-danger-600: #ff0000;
}
.form {
  width: 100%;
  max-width: 700px;
  margin: 0 auto;
  padding: 0 16px;
}

.form__item + .form__item {
  margin-top: 20px;
  border-top: solid 1px #969696;
  padding-top: 20px;
}
.form__item .term {
  font-weight: 600;
  font-size: 16px;
  padding-left: 16px;
  border-left: 2px solid var(--color-primary-500);
  color: var(--color-base-950);
}
.red {
  color: var(--color-danger-600);
}
.form__email__message {
  color: var(--color-danger-600);
  margin: 15px 0;
}

.input {
  appearance: none;
  padding: 4px 32px 4px 16px;
  border-radius: 3px;
  border: 1px solid var(--color-primary-500);
  background-color: var(--color-base-100);
  font-size: 16px;
  line-height: 1.75;
}
.selectbox {
  display: inline-flex;
  align-items: center;
  position: relative;
}

.selectbox::after {
  position: absolute;
  right: 10px;
  width: 10px;
  height: 8px;
  background-color: var(--color-base-600);
  clip-path: polygon(0 0, 100% 0, 50% 100%);
  content: "";
  pointer-events: none;
}

.selectbox select {
  appearance: none;
  padding: 4px 32px 4px 16px;
  border-radius: 3px;
  border: 1px solid var(--color-primary-500);
  background-color: var(--color-base-100);
  color: var(--color-base-600);
  font-size: 16px;
  line-height: 1.75;
  cursor: pointer;
}

.radio {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  border: none;
}

.radio label {
  display: flex;
  align-items: center;
  gap: 8px;
  position: relative;
  width: 96px;
  margin-bottom: 0;
  padding: 4px 8px;
  border: 1px solid var(--color-primary-500);
  border-radius: 3px;
  background-color: var(--color-base-100);
  font-size: 16px;
  cursor: pointer;
}

.radio label:has(:checked) {
  background-color: var(--color-primary-500);
  color: var(--color-base-50);
}

.radio label::before,
.radio label:has(:checked)::after {
  border-radius: 50%;
  content: "";
}

.radio label::before {
  width: 14px;
  height: 14px;
  background-color: var(--color-base-50);
}

.radio label:has(:checked)::after {
  position: absolute;
  top: 50%;
  left: calc(7px + 8px);
  transform: translate(-50%, -50%);
  width: 7px;
  height: 7px;
  background-color: var(--color-primary-500);
}

.radio input {
  display: none;
}

.btn--primary {
  background: var(--color-point-01);
  border-radius: 20px;
  color: #fff;
  padding: 4px 8px;
  border: 1px solid var(--color-base-50);
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
}
.btn--primary.smaller {
  font-size: 12px;
}
.text {
  width: 100%;
  margin-bottom: 5px;
  padding: 4px 16px;
  border-radius: 3px;
  border: 1px solid var(--color-primary-500);
  background-color: var(--color-base-100);
  color: var(--color-base-950);
  font-size: 16px;
  line-height: 1.75;
}

.sei {
  display: inline-block;
  padding-right: 10px;
  width: 60px;
  white-space: nowrap;
}
.mei {
  display: inline-block;
  padding: 0 10px 0 0px;
  width: 60px;
  white-space: nowrap;
}

.inputss {
  width: 20%;
}

.w-full {
  width: 100%;
}

.checkbox_icon {
  accent-color: var(--color-primary-500);
}

@media only screen and (max-width: 600px) {
  .sei {
    display: inline-block;
    padding-right: 0px;
    width: auto;
  }
  .mei {
    display: inline-block;
    padding: 0 0px 0 0px;
    width: auto;
  }
  .inputss {
    width: 25% !important;
  }
}
.textarea {
  width: 100%;
  min-height: 192px;
  padding: 16px;
  border-radius: 3px;
  border: 1px solid var(--color-primary-500);
  background-color: var(--color-base-50);
  color: var(--color-base-600);
  font-size: 16px;
  line-height: 1.75;
}

details {
  border-top: 1px solid var(--color-primary-500);
}

details:nth-last-of-type(1) {
  border-bottom: 1px solid var(--color-primary-500);
}

summary {
  /* display: list-item;以外を指定してデフォルトの三角形アイコンを消します */
  display: block;
  color: var(--color-primary-500);
  background-color: var(--color-base-100);
  font-size: 16px;
  font-weight: 600;
  padding: 8px;
}

summary::-webkit-details-marker {
  /* Safariで表示されるデフォルトの三角形アイコンを消します */
  display: none;
}

.summary_inner {
  cursor: pointer;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 0 0 0;
}

.icon {
  display: block;
  position: relative;
  width: 13px;
  margin-left: 8px;
  flex-shrink: 0;
  transform-origin: center 43%;
  transition: transform 0.4s;
}

/* is-openedクラスが付与されたときのスタイル */
details.is-opened .icon {
  transform: rotate(180deg);
}

/* アイコンのバーのスタイル */
.icon::before,
.icon::after {
  content: "";
  position: absolute;
  display: block;
  width: 8px;
  height: 2px;
  background-color: var(--color-primary-500);
}

.icon::before {
  left: 0;
  transform: rotate(45deg);
}

.icon::after {
  right: 0;
  transform: rotate(-45deg);
}

/* --------アコーディオンの中身のスタイル-------- */
.content {
  overflow: hidden;
  /* details直下のタグにpaddingを設定すると挙動がおかしくなるので、ここには指定しない */
}
